Bug 1366048 - Cluster list window shows incorrect performance unit
Summary: Cluster list window shows incorrect performance unit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2
Assignee: kamlesh
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: Console-2-Async
TreeView+ depends on / blocked
 
Reported: 2016-08-10 21:38 UTC by Jean-Charles Lopez
Modified: 2016-10-19 15:21 UTC (History)
9 users (show)

Fixed In Version: rhscon-ui-0.0.59-1.el7scon
Doc Type: Bug Fix
Doc Text:
Previously, the clusters list in the console incorrectly depicted IOPS in units. With this update, all the IOPS units are removed to correctly show the IOPS in numeric count.
Clone Of:
Environment:
Last Closed: 2016-10-19 15:21:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2082 0 normal SHIPPED_LIVE Moderate: Red Hat Storage Console 2 security and bug fix update 2017-04-18 19:29:02 UTC

Description Jean-Charles Lopez 2016-08-10 21:38:43 UTC
Description of problem: Dsicrepancy between the cluster list window and the actual value shown in the performance portion of the cluster view


Version-Release number of selected component (if applicable): 2.0 (0.0.39)


How reproducible:
100%

Steps to Reproduce:
1. Look at the cluster list and observe the value of operations per second
2. Look at the cluster view and observe the value of operations per second
3. Unit used differs although the metric value stores seems to be corresponding

Actual results:
In my case list show 1.2 B IOPS while cluster view shows 1.2K IOPS

Expected results:
Same value and same unit

Additional info:
If value is below 1, list displays 0.6 IOPS while cluster view shows 0.6 K IOPS

Comment 4 Nishanth Thomas 2016-08-11 06:18:54 UTC
I acknowledge that this is an issue. probably we might not want to block the release for this. Can be addressed later

Comment 6 Filip Balák 2016-09-29 09:12:17 UTC
Created attachment 1205884 [details]
Wrong IOPS unit

Comment 7 Filip Balák 2016-09-29 09:53:50 UTC
There is an incorrect unit (B - as seen on a screenshot) on list of clusters. On cluster overview and dashboard it seams to be OK (there are no units). --> Assigned

Comment 8 Filip Balák 2016-09-30 15:32:05 UTC
Tested with
Server:
ceph-ansible-1.0.5-34.el7scon.noarch
ceph-installer-1.0.15-2.el7scon.noarch
graphite-web-0.9.15-1.el7.noarch
rhscon-ceph-0.0.43-1.el7scon.x86_64
rhscon-core-0.0.45-1.el7scon.x86_64
rhscon-core-selinux-0.0.45-1.el7scon.noarch
rhscon-ui-0.0.59-1.el7scon.noarch


Node:
calamari-server-1.4.8-1.el7cp.x86_64
ceph-base-10.2.2-41.el7cp.x86_64
ceph-common-10.2.2-41.el7cp.x86_64
ceph-mon-10.2.2-41.el7cp.x86_64
ceph-osd-10.2.2-41.el7cp.x86_64
ceph-selinux-10.2.2-41.el7cp.x86_64
libcephfs1-10.2.2-41.el7cp.x86_64
python-cephfs-10.2.2-41.el7cp.x86_64
rhscon-agent-0.0.19-1.el7scon.noarch
rhscon-core-selinux-0.0.45-1.el7scon.noarch


and it works as it is expected. --> Verified

Comment 11 errata-xmlrpc 2016-10-19 15:21:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2082


Note You need to log in before you can comment on or make changes to this bug.